## networkmanager-qt 5.50.0

=== debian/changelog ===
networkmanager-qt (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:15:53 +0100

networkmanager-qt (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:31:45 +0100

networkmanager-qt (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Update symbols from build logs
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:51:02 +0100

networkmanager-qt (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * testsuite: Run tests one at the time
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:48 +0200

networkmanager-qt (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:58:10 +0100

networkmanager-qt (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Drop upstream patches
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:11:08 +0200

networkmanager-qt (5.44.0-2) unstable; urgency=medium

  * New revision
  * Add upstream patchs:
     Start-requiring-NM-1.0.0.patch
     Export-the-NetworkManager-include-dirs.patch
    to migrate to libnm 1.0.0, and drop the network-manager-dev dependency.
    Thanks to Michael Biebl for the report (Closes: 895439)
  * Update nm build deps to libnm > 1.0.0~
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 11 Apr 2018 23:01:30 +0200

networkmanager-qt (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:28 +0100

networkmanager-qt (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:19 +0100

networkmanager-qt (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:21 +0100

networkmanager-qt (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:06:09 +0100

networkmanager-qt (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:43:20 -0300

networkmanager-qt (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:48:43 +0000

networkmanager-qt (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 13:00:56 +0000

networkmanager-qt (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:47:47 +0000

networkmanager-qt (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:32:14 +0000

networkmanager-qt (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:59:05 +0200

networkmanager-qt (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Add a libkf5networkmanagerqt-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:42:26 +0200

networkmanager-qt (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:18:37 +0000

networkmanager-qt (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Drop upstream patches
  * Drop obsolete libnm-util-dev build dep.
    Thanks to Michael Biebl for reporting (Closes: 862882)
  * Let autopkgtest take care of the build required for the test
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:29 +0200

networkmanager-qt (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:16:05 +0000

networkmanager-qt (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:38:15 +0000

networkmanager-qt (5.34.0-0neon) xenial; urgency=medium



=== debian/control ===
Source: networkmanager-qt
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               libnm-dev (>= 1.0.0~),
               libqt5sql5-sqlite,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/networkmanager-qt
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/networkmanager-qt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/networkmanager-qt

Package: libkf5networkmanagerqt-dev
Architecture: any
Section: libdevel
Depends: libkf5networkmanagerqt6 (= ${binary:Version}),
         libnm-dev (>= 1.0.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5networkmanagerqt-doc (= ${source:Version})
Description: Qt wrapper for NetworkManager - devel files.
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the development files

Package: libkf5networkmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Qt wrapper for NetworkManager - library (documentation)
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the qch documentation files.

Package: libkf5networkmanagerqt6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5networkmanagerqt5 (<< 5.1.1+git20141204), plasma-nm (<= 4:5.6~)
Replaces: libkf5networkmanagerqt5 (<< 5.1.1+git20141204)
Description: Qt wrapper for NetworkManager - library
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.

## networkmanager-qt 5.54.0

=== autotests/settings/CMakeLists.txt ===
macro(NETWORKMANAGERQT_AUTOTESTS)
    foreach(_testname ${ARGN})
        ecm_add_test(${_testname}.cpp LINK_LIBRARIES Qt5::Test KF5NetworkManagerQt_static)
    endforeach(_testname)
endmacro(NETWORKMANAGERQT_AUTOTESTS)

NETWORKMANAGERQT_AUTOTESTS(
    8021xsettingtest
    adslsettingtest
    bluetoothsettingtest
    bondsettingtest
    bridgesettingtest
    bridgeportsettingtest
    cdmasettingtest
    connectionsettingtest
    dcbsettingtest
    gsmsettingtest
    infinibandsettingtest
    iptunnelsettingtest
    ipv4settingtest
    ipv6settingtest
    matchsettingtest
    macsecsettingtest
    olpcmeshsettingtest
    ovsbridgesettingtest
    ovsinterfacesettingtest
    ovspatchsettingtest
    ovsportsettingtest
    pppsettingtest
    pppoesettingtest
    proxysettingtest
    serialsettingtest
    teamportsettingtest
    tunsettingtest
    tcsettingtest
    usersettingtest
    vlansettingtest
    vxlansettingtest
    vpnsettingtest
    wimaxsettingtest
    wiredsettingtest
    wirelesssettingtest
    wirelesssecuritysettingtest
)

=== debian/changelog ===
networkmanager-qt (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Update install files
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:33 -0300

networkmanager-qt (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:31 +0100

networkmanager-qt (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:19:11 +0200

networkmanager-qt (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:10:53 +0200

## networkmanager-qt 5.54.0.2

=== debian/changelog ===
networkmanager-qt (5.54.0.2-1+dde) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 13 Dec 2021 20:55:01 +0800

networkmanager-qt (5.54.0.1-1+dde) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Update install files
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Release to unstable

 -- chenyunxiong <chenyunxiong@uniontech.com>  Thu, 17 Jan 2019 19:27:33 -0300

## networkmanager-qt 5.54.0.4

=== debian/changelog ===
networkmanager-qt (5.54.0.4-1+dde) unstable; urgency=medium

  * New upstream release (5.54.0.4).
  * Update source files.
  * Add patch files.
  * Release to unstable

 -- donghualin <donghualin@uniontech.com>  Thu, 09 Dec 2022 17:14:22 -0800

networkmanager-qt (5.54.0.3-1+dde) unstable; urgency=medium

  * New upstream release (5.54.0.3).
  * Update source files.
  * Add patch files.
  * Release to unstable

 -- donghualin <donghualin@uniontech.com>  Thu, 09 Dec 2022 13:22:11 -0300

## networkmanager-qt 5.54.0.6

=== debian/changelog ===
networkmanager-qt (5.54.0.6-1+dde) unstable; urgency=medium

  * DSL(PPPOE) default set ignore ipv6

 -- wubowen <wubowen@uniontech.com>  Thu, 02 Mar 2023 16:01:53 +0800

networkmanager-qt (5.54.0.5-1+dde) unstable; urgency=medium

  * Support for PMF (Protected Management Frames)
  * Support for WPA3-Enterprise 192-mode

 -- liaohanqin <liaohanqin@uniontech.com>  Wed, 08 Feb 2023 11:08:48 +0800

## networkmanager-qt 5.56.0

=== debian/changelog ===
networkmanager-qt (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:38:02 +0000

networkmanager-qt (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:33:30 +0000

networkmanager-qt (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:36:45 +0000

networkmanager-qt (5.53.0-0ubuntu1) disco; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.53.0)

  [ Rik Mills ]
  * Update symbols from build logs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:50:16 +0000

networkmanager-qt (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Install networkmanager-qt.categories file.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:43:39 +0000

networkmanager-qt (5.51.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.51.0)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Oct 2018 08:12:16 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.56.0~),
                graphviz,
                libnm-dev (>= 1.0.0~),
                libqt5sql5-sqlite,

## networkmanager-qt 5.62.0a

=== debian/changelog ===
networkmanager-qt (5.62.0a-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:09:20 +0100

networkmanager-qt (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:44:59 +0100

networkmanager-qt (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:18:26 +0100

networkmanager-qt (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:21:37 +0100

networkmanager-qt (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:42:47 +0100

networkmanager-qt (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:40:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.62.0~),
                graphviz,
                libnm-dev (>= 1.0.0~),
                libqt5sql5-sqlite,

## networkmanager-qt 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
project(NetworkManagerQt VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.68.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

find_package(NetworkManager 1.4.0 REQUIRED)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED Core DBus Network)

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)


include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX NETWORKMANAGERQT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/networkmanagerqt_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5NetworkManagerQtConfigVersion.cmake"
                        SOVERSION 6)

# Enable unit testing
if (BUILD_TESTING)
    add_subdirectory(src/fakenetwork)
    add_subdirectory(autotests)
endif ()

add_subdirectory(src)
##################  examples  ################################
option(BUILD_EXAMPLES "Build example applications" FALSE)
if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif(BUILD_EXAMPLES)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5NetworkManagerQt")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5NetworkManagerQt_QCH
        FILE KF5NetworkManagerQtQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5NetworkManagerQtQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5NetworkManagerQtConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NetworkManagerQtConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NetworkManagerQtConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NetworkManagerQtConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5NetworkManagerQtTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5NetworkManagerQtTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/networkmanagerqt_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
networkmanager-qt (5.68.0-0ubuntu1) focal; urgency=medium

  * Update install files.
  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 21:00:06 +0000

networkmanager-qt (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:52:50 +0000

networkmanager-qt (5.66.0-0ubuntu2) focal; urgency=medium

  * debian/tests: Disable testsuite, keep acc test.
  * debian/patches: Drop patches. They only tried to fix buggy tests. 

 -- Rik Mills <rikmills@kde.org>  Sun, 02 Feb 2020 11:52:29 +0000

networkmanager-qt (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:21:40 +0000

networkmanager-qt (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:02:41 +0000

networkmanager-qt (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:26:54 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.62.0~),
+               extra-cmake-modules (>= 5.68.0~),
                graphviz,
                libnm-dev (>= 1.0.0~),
                libqt5sql5-sqlite,

=== debian/tests/control ===
#Tests: testsuite
#Depends: @, @builddeps@, build-essential,
#         xvfb, xauth, dbus (>= 1.8), openbox
#Restrictions: build-needed, allow-stderr
#
Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## networkmanager-qt 5.74.0

=== debian/changelog ===
networkmanager-qt (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:14:48 +0200

networkmanager-qt (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5networkmanagerqt6.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:44:50 +0200

networkmanager-qt (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:01 +0200

networkmanager-qt (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols file.
  * Delete not created pri file.
  * Update qtlogging categories files.
  * Update symbols from build for 5.69.0.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:58:45 +0200

networkmanager-qt (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:16 -0700

networkmanager-qt (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update symbols files.
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:07 +0100

=== debian/control ===
Source: networkmanager-qt
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.74.0~),
               graphviz,
               libnm-dev (>= 1.4.0~),
               libqt5sql5-sqlite,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/frameworks/networkmanager-qt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/networkmanager-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/networkmanager-qt.git
Rules-Requires-Root: no

Package: libkf5networkmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libkf5networkmanagerqt6 (= ${binary:Version}),
         libnm-dev (>= 1.4.0~),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5networkmanagerqt-doc (= ${source:Version})
Description: Qt wrapper for NetworkManager - devel files.
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the development files

Package: libkf5networkmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt wrapper for NetworkManager - library (documentation)
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5networkmanagerqt6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5networkmanagerqt5 (<< 5.1.1+git20141204), plasma-nm (<= 4:5.6~)
Replaces: libkf5networkmanagerqt5 (<< 5.1.1+git20141204)
Description: Qt wrapper for NetworkManager - library
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.

## networkmanager-qt 5.77.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0") # handled by release scripts
+set(KF5_VERSION "5.77.0") # handled by release scripts
 project(NetworkManagerQt VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.68.0  NO_MODULE)
+find_package(ECM 5.77.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -17,10 +17,11 @@
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
-set(REQUIRED_QT_VERSION 5.12.0)
+set(REQUIRED_QT_VERSION 5.13.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED Core DBus Network)
 
 add_definitions(${QT_DEFINITIONS})
+add_definitions(-DQT_NO_FOREACH)
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)

=== debian/changelog ===
networkmanager-qt (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:37 +0900

networkmanager-qt (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:56 +0900

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: networkmanager-qt
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.77.0~),
                graphviz,
                libnm-dev (>= 1.4.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.13.0~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/networkmanager-qt
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/networkmanager-qt
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/networkmanager-qt.git
@@ -26,7 +27,7 @@
 Architecture: any
 Depends: libkf5networkmanagerqt6 (= ${binary:Version}),
          libnm-dev (>= 1.4.0~),
-         qtbase5-dev (>= 5.12.0~),
+         qtbase5-dev (>= 5.13.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5networkmanagerqt-doc (= ${source:Version})

## networkmanager-qt 5.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.77.0") # handled by release scripts
+set(KF5_VERSION "5.78.0") # handled by release scripts
 project(NetworkManagerQt VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.77.0  NO_MODULE)
+find_package(ECM 5.78.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -17,12 +17,12 @@
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
-set(REQUIRED_QT_VERSION 5.13.0)
+set(REQUIRED_QT_VERSION 5.14.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED Core DBus Network)
 
 add_definitions(${QT_DEFINITIONS})
 add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)

=== examples/CMakeLists.txt ===
set(exampleNetworkManagerQt_SRCS
   main.cpp
)

add_executable(exampleNetworkManagerQt ${exampleNetworkManagerQt_SRCS})
target_link_libraries(exampleNetworkManagerQt
    KF5::NetworkManagerQt
    Qt5::Core
    Qt5::Network)

add_subdirectory(createconnection)

=== debian/changelog ===
networkmanager-qt (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:26 +0900

networkmanager-qt (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:44 +0900

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.77.0~),
+               extra-cmake-modules (>= 5.78.0~),
                graphviz,
                libnm-dev (>= 1.4.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.13.0~),
+               qtbase5-dev (>= 5.14.0~),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.4),
+               qttools5-dev-tools (>= 5.4)
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/networkmanager-qt
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/networkmanager-qt
@@ -27,9 +27,9 @@
 Architecture: any
 Depends: libkf5networkmanagerqt6 (= ${binary:Version}),
          libnm-dev (>= 1.4.0~),
-         qtbase5-dev (>= 5.13.0~),
+         qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: libkf5networkmanagerqt-doc (= ${source:Version})
 Description: Qt wrapper for NetworkManager - devel files.
  Qt wrapper for NetworkManager DBus API.

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, dbus (>= 1.8), openbox, xauth, xvfb, @, @builddeps@
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## networkmanager-qt 5.80.0

=== debian/changelog ===
networkmanager-qt (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:10:12 +0000

networkmanager-qt (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:24:21 +0000

networkmanager-qt (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Disable testsuite.
    - Keep Kubuntu symbols files.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jan 2021 15:44:34 +0000

networkmanager-qt (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:58:46 +0000

networkmanager-qt (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Disable testsuite.
    - Keep Kubuntu symbols files

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Jan 2021 18:10:44 +0000

networkmanager-qt (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:12:25 +0000

networkmanager-qt (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:25:06 +0000

networkmanager-qt (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:01:27 +0100

networkmanager-qt (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:00:50 +0100

networkmanager-qt (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:35:24 +0100

networkmanager-qt (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:08:56 +0100

networkmanager-qt (5.70.0-1ubuntu1) groovy; urgency=medium

  * MergeMerge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Keep our autotest setup.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Mon, 08 Jun 2020 08:50:10 +0100

networkmanager-qt (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:34:35 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
                libnm-dev (>= 1.4.0~),
                libqt5sql5-sqlite,
@@ -15,11 +15,11 @@
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.4)
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/networkmanager-qt
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/networkmanager-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/networkmanager-qt.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/networkmanager-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/networkmanager-qt
 Rules-Requires-Root: no
 
 Package: libkf5networkmanagerqt-dev
@@ -29,7 +29,7 @@
          libnm-dev (>= 1.4.0~),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: libkf5networkmanagerqt-doc (= ${source:Version})
 Description: Qt wrapper for NetworkManager - devel files.
  Qt wrapper for NetworkManager DBus API.

## networkmanager-qt 5.86.0

=== debian/changelog ===
networkmanager-qt (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:50:12 +0100

networkmanager-qt (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:29:45 +0100

networkmanager-qt (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:02:33 +0100

networkmanager-qt (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:19:38 +0100

networkmanager-qt (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:59:15 +0100

networkmanager-qt (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:31:43 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
                libnm-dev (>= 1.4.0~),
                libqt5sql5-sqlite,

## networkmanager-qt 5.92.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,29 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
-set(KF5_VERSION "5.78.0") # handled by release scripts
-project(NetworkManagerQt VERSION ${KF5_VERSION})
+set(KF_VERSION "5.92.0") # handled by release scripts
+project(NetworkManagerQt VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.78.0  NO_MODULE)
+find_package(ECM 5.92.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
-find_package(NetworkManager 1.4.0 REQUIRED)
+find_package(PkgConfig)
+pkg_search_module(NetworkManager REQUIRED IMPORTED_TARGET libnm>=1.4.0)
+pkg_search_module(Gio REQUIRED IMPORTED_TARGET gio-2.0)
 
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
+include(KDEGitCommitHooks)
 
-set(REQUIRED_QT_VERSION 5.14.0)
-find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED Core DBus Network)
+set(REQUIRED_QT_VERSION 5.15.2)
+find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED Core DBus Network)
 
-add_definitions(${QT_DEFINITIONS})
-add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)
 
@@ -87,7 +88,9 @@
 
 install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/networkmanagerqt_version.h
-  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
+  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/NetworkManagerQt COMPONENT Devel
 )
 
 feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
networkmanager-qt (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:29:26 +0000

networkmanager-qt (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:10:38 +0000

networkmanager-qt (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:49:43 +0000

networkmanager-qt (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:18:22 +0000

networkmanager-qt (5.88.0-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:12:48 +0000

networkmanager-qt (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable testsuite.
    - Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 13:52:12 +0000

networkmanager-qt (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:42 +0900

networkmanager-qt (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:21:14 +0000

networkmanager-qt (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:07:58 +0000

networkmanager-qt (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:02:58 +0900

networkmanager-qt (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:49 +0900

networkmanager-qt (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:06:45 +0900

networkmanager-qt (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:12 +0900

networkmanager-qt (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:32 +0900

networkmanager-qt (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:23:08 +0900

networkmanager-qt (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:21 +0900

networkmanager-qt (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:36 +0900

networkmanager-qt (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:30 +0900

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: networkmanager-qt
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               graphviz,
+               extra-cmake-modules (>= 5.92.0~),
                libnm-dev (>= 1.4.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/networkmanager-qt
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/networkmanager-qt
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/networkmanager-qt
@@ -27,7 +26,7 @@
 Architecture: any
 Depends: libkf5networkmanagerqt6 (= ${binary:Version}),
          libnm-dev (>= 1.4.0~),
-         qtbase5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5networkmanagerqt-doc (= ${source:Version})

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON
override_dh_auto_test:
	# Disable tests at build time
	:

=== debian/tests/control ===
#Tests: testsuite
#Depends: @, @builddeps@, build-essential,
#         xvfb, xauth, dbus (>= 1.8), openbox
#Restrictions: build-needed, allow-stderr
#
Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr
